import 'package:flutter/material.dart';

class MyColors {
  static const Color darkPrimaryColor = Color(0xffF47F20);
  static const Color primaryColor = Color(0xffF69521);
  static const Color lightPrimaryColor = Color(0xffFFD077);
  static const Color accentColor = Colors.blue;
  static const Color lightTextColor = Color(0xff969696);
  static const Color textColor = Color(0xff777777);
  static const Color darkTextColor = Color(0xff28323A);
  static const Color textFieldColor = Color(0xffF3F5F7);
  static const Color darkIconColor = Color(0xff28323A);
  static const Color lightIconColor = Color(0xff767676);
  static const Color normalTextColor = Color(0xff5A5A5A);
  static const Color gradiantStartColor = Color(0xff33c0a5);
  static const Color gradiantEndColor = Color(0xff259db7);
  static const Color textMixColor = Color(0xff2BB8A6);
  static const Color backgroundColor = Color(0xffF8F8F8);
  static const Color grey57Color = Color(0xff575757);
  static const Color grey77Color = Color(0xff777777);
  static const Color greyButtonColor = Color(0xffEBEBEB);
  static const Color grey70Color = Color(0xff707070);
  static const Color greyACColor = Color(0xffACACAC);
  static const Color chipColor = Color(0xffE6E6E6);
  static const Color roundedCrossBgColor = Color(0xFFA3A3A3);
  static const Color greyShadowColor = Color(0xFFE8E7E7);
  static const Color grey98Color = Color(0xff989898);
  static const Color lightGreyEFColor = Color(0xffEFEFEF);
  static const Color lightGreyEDColor = Color(0xffEDEDED);
  static const Color lightGreyEAColor = Color(0xffEAEAEA);
  static const Color darkWhiteColor = Color(0xffE0E0E0);
  static const Color redColor = Color(0xffD02127);
  static const Color greenColor = Color(0xff1D934F);
  static const Color yellowColor = Color(0xffF4E31C);
  static const Color backgroundBlackColor = Color(0xff202529);
  static const Color black = Color(0xff000000);
  static const Color white = Color(0xffffffff);
  static const Color green = Color(0xffffffff);
  static const Color borderColor = Color(0xffE8E8E8);
  static const Color greyAddBorderColor = Color(0xffEEEEEE);
  static const Color lightGreyBgColor = Color(0xffFDFDFD);
  static const Color lightGreyDDColor = Color(0xffDDDDDD);
  static const Color greyColor = Color(0xff787878);

  static const Color provTextColor = Color(0xFF28323A);

  //AdStatusColors:
  static const Color adActiveStatusColor = Color(0xff5FC16A);
  static const Color adCancelledStatusColor = Color(0xffDD0505);
  static const Color adSoldStatusColor = Color(0xff22742B);
  static const Color adPendingStatusColor = Color(0xffEDB947);

  static const Color pendingColor = Colors.amber;
  static const Color submittedColor = Colors.blue;
  static const Color inProgressColor = Colors.indigo;
  static const Color completedColor = Colors.green;
  static const Color cancelledColor = Colors.red;
  static const Color paidColor = Colors.teal;
  static const Color expiredColor = Colors.grey;
  static const Color shippingColor = Colors.purple;
  static const Color deliveryColor = Colors.brown;

  static Decoration gradient = BoxDecoration(
    gradient: const LinearGradient(colors: [
      darkPrimaryColor,
      primaryColor,
    ]),
    boxShadow: [
      BoxShadow(
        color: primaryColor.withOpacity(0.5),
        blurRadius: 20.0,
        spreadRadius: 1.0,
      )
    ],
  );

  static Decoration gradientButton = BoxDecoration(
    gradient: const LinearGradient(colors: [
      darkPrimaryColor,
      primaryColor,
    ]),
    borderRadius: BorderRadius.circular(6),
    boxShadow: [
      BoxShadow(
        color: primaryColor.withOpacity(0.2),
        blurRadius: 4.0,
        spreadRadius: 0.5,
      )
    ],
  );
}

const Color primaryColor = Colors.white;
const Color accentColor = Colors.blue;
const Color appBackgroundColor = Colors.white;
Color? accentColorDark = Colors.green[800];
const Color borderColor = Colors.blueGrey;
Color? borderLightColor = Colors.blueGrey[50];
const Color iconColor = Colors.blueGrey;
Color? headingColor = Colors.blueGrey[800];
Color? txtColor = Colors.blueGrey[500];
